Rhino Installer Engine - Error when installing - System.ArgumentException

The information on this page:

http://wiki.mcneel.com/developer/rhinoinstallerengine/dotnet

pertains to plug-ins built with the older Rhino_DotNet SDK. This information does not apply to plug-ins built with RhinoCommon. I’ve modified the page to try to make clearer.

Thanks for the answer.

I already ignore this page.
I still have the problem, do you think that the correction made in rhiexec is correct?

@brian, can you chime in on this?

Just a quick comment for the fellow reader:

Fabien suggested a change in rhiexec:

Thanks Fabien,
Giulio

Giulio Piacentino
for Robert McNeel & Associates
giulio@mcneel.com

1 Like

Hello!

Do you have any idea when the correction will be available? Is it possible to get it in the next SR (the 8 I guess)?

Thanks

Hello,

i cannot install Rhino 5. it says: update your computer with a Windows-compatible version before the installation.
But i do have Windows 7. what’s wrong?

Hi - I am getting exactly the same error on Rhino5 SR11. How is this resolved pls?

Thanks

Paul

Hi Paul,

What error are you getting? Details would be appreciated.

Thanks,

– Dale

Hi Dale - exactly the same error as the first post in this thread.

My apologies Dale - I seem to have threadhopped from the thread I thought I was in, and I cannot locator the original thread. The original thread pointed to the github PluginInfo.cs which linked back to here. Hopefully the screenshot above gives you enough info.

Thanks

Paul

Hi Paul, if you’re referring to the same PluginInfo error that @piac referenced above then I’ve implemented this in SR12, the first release candidate of which is now available.

Hi - I installed SR12, rebuild the plugin, and now get a different error - “An unexpected error has occurred during installation”.

The installer is at https://www.dropbox.com/s/c5wd49ztsz5o9hz/OctaneRenderForRhino.rhi?dl=0

Hi - just checking in if anyone has a solution for this pls?

Thanks

Paul

HI Paul,

Can you send me a copy of you RHI? (dale@mcneel.com)

Thanks,

– Dale

Hi Dale - I posted a link to the installer in my post above.

The installer is at https://www.dropbox.com/s/c5wd49ztsz5o9hz/OctaneRenderForRhino.rhi?dl=0

Paul

Hi Paul,

I’ve logged this as a bug for @will.

http://mcneel.myjetbrains.com/youtrack/issue/RH-31006

Note, the item is private.

@paulphysicalc – I’m getting the same error message here when I try to install your RHI file (with SR12 RC1). I’ll look into why this is happening and will keep you posted.

@dale – thanks for sending this my way.

Hi all,

I wrote a small python-script and want to distribute it now as an .rhi following this guide.

When I want to install the .rhi, i got the same “Unexpected Error” like @paulphysicalc, even on different computers. (Rhino 5 64bit SR12)

Does anybody found a solution for this problem?

@rivex, have you tried to compile the py file using the Rhinoscript compiler ?

There are two ways, either create the rhi file with the compiler directly, or create an rhp file, zip it and then rename the zip extension to rhi.

c.

Sorry for the late response, I missed this the first time. The Python RHI guide has been updated!